Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### box()

Examples

    translate(58, 48, 0);
    rotateY(0.5);
    box(40);

    translate(58, 48, 0);
    rotateY(0.5);
    box(40, 20, 50);

Description | A box is an extruded rectangle. A box with equal dimension on all sides is a cube.

Syntax

    box(size);
    box(width, height, depth);

Parameters

size | int or float: dimension of the box in all dimensions, creates a cube
width | int or float: dimension of the box in the x-dimension
height | int or float: dimension of the box in the y-dimension
depth | int or float: dimension of the box in the z-dimension

Returns | None
Usage | Web & Application
Related | sphere()

Updated on November 22, 2008 08:39:25pm PST